Open CASCADE Technology: GeomFill_FunctionDraft Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomFill_FunctionDraft Class Reference

`#include <GeomFill_FunctionDraft.hxx>`

Inheritance diagram for GeomFill_FunctionDraft:
[legend]

## Public Member Functions
| GeomFill_FunctionDraft (const Handle< Adaptor3d_HSurface > &S, const Handle< Adaptor3d_HCurve > &C)
virtual Standard_Integer | NbVariables () const
| returns the number of variables of the function. More...
virtual Standard_Integer | NbEquations () const
| returns the number of equations of the function. More...
virtual Standard_Boolean | Value (const math_Vector &X, math_Vector &F)
| computes the values <F> of the Functions for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
virtual Standard_Boolean | Derivatives (const math_Vector &X, math_Matrix &D)
| returns the values <D> of the derivatives for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
virtual Standard_Boolean | Values (const math_Vector &X, math_Vector &F, math_Matrix &D)
| returns the values <F> of the functions and the derivatives <D> for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | DerivT (const Handle< Adaptor3d_HCurve > &C, const Standard_Real Param, const Standard_Real W, const gp_Vec &dN, const Standard_Real teta, math_Vector &F)
| returns the values <F> of the T derivatives for the parameter Param . More...
Standard_Boolean | Deriv2T (const Handle< Adaptor3d_HCurve > &C, const Standard_Real Param, const Standard_Real W, const gp_Vec &d2N, const Standard_Real teta, math_Vector &F)
| returns the values <F> of the T2 derivatives for the parameter Param . More...
Standard_Boolean | DerivTX (const gp_Vec &dN, const Standard_Real teta, math_Matrix &D)
| returns the values <D> of the TX derivatives for the parameter Param . More...
Standard_Boolean | Deriv2X (const math_Vector &X, GeomFill_Tensor &T)
| returns the values <T> of the X2 derivatives for the parameter Param . More...
Public Member Functions inherited from math_FunctionSet
virtual Standard_Integer | GetStateNumber ()
| Returns the state of the function corresponding to the latestcall of any methods associated with the function. This function is called by each of the algorithms described later which define the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...
virtual | ~math_FunctionSet ()

## Constructor & Destructor Documentation

GeomFill_FunctionDraft::GeomFill_FunctionDraft | ( | const Handle< Adaptor3d_HSurface > & | S,
|  | const Handle< Adaptor3d_HCurve > & | C
| ) |  |

## Member Function Documentation

Standard_Boolean GeomFill_FunctionDraft::Deriv2T | ( | const Handle< Adaptor3d_HCurve > & | C,
|  | const Standard_Real | Param,
|  | const Standard_Real | W,
|  | const gp_Vec & | d2N,
|  | const Standard_Real | teta,
|  | math_Vector & | F
| ) |  |

returns the values <F> of the T2 derivatives for the parameter Param .

Standard_Boolean GeomFill_FunctionDraft::Deriv2X | ( | const math_Vector & | X,
|  | GeomFill_Tensor & | T
| ) |  |

returns the values <T> of the X2 derivatives for the parameter Param .

virtual Standard_Boolean GeomFill_FunctionDraft::Derivatives | ( | const math_Vector & | X,
|  | math_Matrix & | D
| ) |  |
| virtual

returns the values <D> of the derivatives for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

Standard_Boolean GeomFill_FunctionDraft::DerivT | ( | const Handle< Adaptor3d_HCurve > & | C,
|  | const Standard_Real | Param,
|  | const Standard_Real | W,
|  | const gp_Vec & | dN,
|  | const Standard_Real | teta,
|  | math_Vector & | F
| ) |  |

returns the values <F> of the T derivatives for the parameter Param .

Standard_Boolean GeomFill_FunctionDraft::DerivTX | ( | const gp_Vec & | dN,
|  | const Standard_Real | teta,
|  | math_Matrix & | D
| ) |  |

returns the values <D> of the TX derivatives for the parameter Param .

virtual Standard_Integer GeomFill_FunctionDraft::NbEquations | ( |  | ) | const
| virtual

returns the number of equations of the function.

Implements math_FunctionSetWithDerivatives.

virtual Standard_Integer GeomFill_FunctionDraft::NbVariables | ( |  | ) | const
| virtual

returns the number of variables of the function.

Implements math_FunctionSetWithDerivatives.

virtual Standard_Boolean GeomFill_FunctionDraft::Value | ( | const math_Vector & | X,
|  | math_Vector & | F
| ) |  |
| virtual

computes the values <F> of the Functions for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

virtual Standard_Boolean GeomFill_FunctionDraft::Values | ( | const math_Vector & | X,
|  | math_Vector & | F,
|  | math_Matrix & | D
| ) |  |
| virtual

returns the values <F> of the functions and the derivatives <D> for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

The documentation for this class was generated from the following file:

- GeomFill_FunctionDraft.hxx